/*******************************************************************************
 * Copyright (c) 2005 Intel Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Vishnu K Naikawadi, Intel - TPTP Class and Function Exports
 *
 * $Id: TPTPExport.h,v 1.1 2005-06-01 17:41:01 vnaikawadi Exp $ 
 *******************************************************************************/

#ifndef  __TPTP_EXPORT_H__
#define  __TPTP_EXPORT_H__


#ifdef _MSC_VER
#pragma warning(disable:4786)
#pragma warning(disable:4251)
#endif



// Class Exports
#ifdef _WIN32

   #ifndef TPTP_CLASS_EXPORT
       #ifndef HEAP_MEM_WORKAROUND
           #define TPTP_CLASS_EXPORT __declspec(dllexport)
       #else
           #define TPTP_CLASS_EXPORT __declspec(dllimport)
       #endif
   #endif

   #ifndef TPTP_FUNC_EXPORT
       #define TPTP_FUNC_EXPORT __declspec(dllexport)
   #endif

#else
   //-------------
   // Linux only
   //-------------
   #ifndef TPTP_CLASS_EXPORT
      #define TPTP_CLASS_EXPORT
   #endif


   #ifndef TPTP_FUNC_EXPORT
       #define TPTP_FUNC_EXPORT
   #endif

#endif

#endif /* __TPTP_EXPORT_H__ */

